Get Media Company intake status
curl --request GET \
--url https://api.interchange.io/api/v2/media-company-intake \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/media-company-intake"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/media-company-intake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"applicationId": "<string>",
"expectedRevision": 0,
"status": "AWAITING_IDENTITY_CONFIRMATION",
"identity": {
"proposedName": "<string>",
"proposedDomain": "<string>",
"confirmedName": "<string>",
"confirmedDomain": "<string>",
"verificationState": "VERIFIED",
"userConfirmed": true
},
"billingMarket": {
"suggestedCountryAlpha2": "<string>",
"confirmedCountryAlpha2": "<string>",
"userConfirmed": true,
"derivedPlanCurrency": "USD"
},
"operatingMode": "LISTING_ONLY",
"unresolvedQuestion": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
Get Media Company intake status
Reads the durable Media Company intake state without creating one. Returns 404 when no application exists yet for this account.
GET
/
media-company-intake
Get Media Company intake status
curl --request GET \
--url https://api.interchange.io/api/v2/media-company-intake \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/media-company-intake"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/media-company-intake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"applicationId": "<string>",
"expectedRevision": 0,
"status": "AWAITING_IDENTITY_CONFIRMATION",
"identity": {
"proposedName": "<string>",
"proposedDomain": "<string>",
"confirmedName": "<string>",
"confirmedDomain": "<string>",
"verificationState": "VERIFIED",
"userConfirmed": true
},
"billingMarket": {
"suggestedCountryAlpha2": "<string>",
"confirmedCountryAlpha2": "<string>",
"userConfirmed": true,
"derivedPlanCurrency": "USD"
},
"operatingMode": "LISTING_ONLY",
"unresolvedQuestion": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Response
Get Media Company intake status
Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
AWAITING_IDENTITY_CONFIRMATION, RESEARCHING, NEEDS_APPLICANT_INPUT, EXCEPTION_REVIEW, APPROVED, DENIED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
LISTING_ONLY, AGENTIC_MEDIA_COMPANY